DtCreateTerm(library call)

NAME
DtCreateTerm — create a DtTerm widget

SYNOPSIS

#include &<Dt/Term.h>
Widget DtCreateTerm(
Widget parent,
String name,
ArgList arglist,
Cardinal argcount);

DESCRIPTION

The DtCreateTerm function creates a terminal emulator widget hierarchy.

The parent argument specifies the parent widget ID.

The name argument specifies the name of the created widget.

The arglist argument specifies the argument list.

The argcount argument specifies the number of attribute and value pairs in the argument list (arglist).

The DtTerm widget provides the core set of functionality needed to emulate an ANSI X3.64-1979- and ISO 6429:1992(E)-style terminal, such as the DEC VT220. This functionality includes text rendering, scrolling, margin and tab support, escape sequence parsing and the low-level OS-specific interface required to allocate and configure a pty or STREAMS pseudo-terminal device and write the system's utmp device.

RETURN VALUE

Upon successful completion, the DtCreateTerm function returns the DtTerm widget ID.

SEE ALSO

dtterm(1), dtterm(5), pty(7), Dt/Term.h - DtTerm(5), DtTerm(3), DtTermInitialize(3), DtTermDisplaySend(3), DtTermSubprocSend(3), DtTermSubprocReap(3).